summaryrefslogtreecommitdiff
path: root/sys-process/daemontools/files/svscan.init
diff options
context:
space:
mode:
Diffstat (limited to 'sys-process/daemontools/files/svscan.init')
-rw-r--r--sys-process/daemontools/files/svscan.init31
1 files changed, 31 insertions, 0 deletions
diff --git a/sys-process/daemontools/files/svscan.init b/sys-process/daemontools/files/svscan.init
new file mode 100644
index 000000000000..b8217db42d48
--- /dev/null
+++ b/sys-process/daemontools/files/svscan.init
@@ -0,0 +1,31 @@
+#!/sbin/openrc-run
+# Copyright 1999-2004 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+depend() {
+ use net
+ before ntpd ntp-client spamd apache apache2
+}
+
+start() {
+ ebegin "Starting service scan"
+ start-stop-daemon --start --exec /usr/bin/svscan \
+ --background --make-pidfile \
+ --pidfile /var/run/svscan.pid -- /service
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping service scan"
+ start-stop-daemon --stop --exec /usr/bin/svscan \
+ --pidfile /var/run/svscan.pid
+ eend $?
+
+ ebegin "Stopping service scan services"
+ svc -dx /service/* 2>/dev/null
+ eend $?
+
+ ebegin "Stopping service scan logging"
+ svc -dx /service/*/log 2>/dev/null
+ eend $?
+}